# Exiv2::CiffDirectory Class Reference

This class models a CIFF directory of a Crw (Canon Raw data) image. More...

`#include <crwimage.hpp>`

Inheritance diagram for Exiv2::CiffDirectory:

[legend]
Collaboration diagram for Exiv2::CiffDirectory:

[legend]
List of all members.

## Public Member Functions

Creators
| CiffDirectory ()
| Default constructor.
| CiffDirectory (uint16_t tag, uint16_t dir)
| Constructor taking a tag and directory.
virtual | ~CiffDirectory ()
| Virtual destructor.
Manipulators
void | readDirectory (const byte *pData, uint32_t size, ByteOrder byteOrder)
| Parse a CIFF directory from a memory buffer.

## Detailed Description

This class models a CIFF directory of a Crw (Canon Raw data) image.

## Member Function Documentation

void Exiv2::CiffDirectory::readDirectory | ( | const byte * | pData,
|  | uint32_t | size,
|  | ByteOrder | byteOrder
| ) |

Parse a CIFF directory from a memory buffer.

Parameters:

  | pData | Pointer to the memory buffer containing the directory
  | size | Size of the memory buffer
  | byteOrder | Applicable byte order (little or big endian)

The documentation for this class was generated from the following files:

- crwimage.hpp
- crwimage.cpp